<!DOCTYPE html>
<html
  xmlns:th="http://www.thymeleaf.org"
  xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
  layout:decorate="~{layout}"
>
  <head>
    <meta charset="UTF-8" />
    <title>Cash Disbursement</title>
  </head>
  <body>
    <section layout:fragment="breadcrumb" class="content-header">
      <h1>
        DISBURSEMENT FUND
        <small>List Data</small>
      </h1>
      <ol class="breadcrumb">
        <li class="treeview active">Finance</li>
        <li class="active">Cash Disbursement</li>
      </ol>
    </section>

    <section layout:fragment="main" class="content">
      <div class="row">
        <div class="col-md-3">
          <div class="box box-solid">
            <div class="box-header with-border">
              <h3 class="box-title">Folders</h3>

              <div class="box-tools">
                <button
                  type="button"
                  class="btn btn-box-tool"
                  data-widget="collapse"
                >
                  <i class="fa fa-minus"></i>
                </button>
              </div>
            </div>
            <div class="box-body no-padding">
              <ul class="nav nav-pills nav-stacked">
                <li class="active">
                  <a th:href="@{/keuangan/pencairan}"
                    ><i class="fa fa-inbox"></i> Request
                    <span
                      th:if="${jumlahRequest} > 0"
                      class="label label-warning pull-right"
                      th:text="${jumlahRequest}"
                      >12</span
                    ></a
                  >
                </li>

                <li>
                  <a th:href="@{/keuangan/pencairan/open}"
                    ><i class="fa fa-inbox"></i> Open
                    <span
                      th:if="${jumlahOpenCair} > 0"
                      class="label label-success pull-right"
                      th:text="${jumlahOpenCair}"
                      >12</span
                    ></a
                  >
                </li>

                <li>
                  <a th:href="@{/keuangan/pencairan/waitingreport}"
                    ><i class="fa fa-inbox"></i> Waiting For Reports
                    <span
                      th:if="${jumlahClosedPencairan} > 0"
                      class="label label-danger pull-right"
                      th:text="${jumlahClosedPencairan}"
                      >12</span
                    ></a
                  >
                </li>

                <li>
                  <a th:href="@{/keuangan/pencairan/report}"
                    ><i class="fa fa-inbox"></i> Approval Reporting
                    <span
                      th:if="${jumlahLaporan} > 0"
                      class="label label-warning pull-right"
                      th:text="${jumlahLaporan}"
                      >12</span
                    ></a
                  >
                </li>

                <li>
                  <a th:href="@{/keuangan/pencairan/reportrejected}"
                    ><i class="fa fa-inbox"></i> Reported Rejected
                    <span
                      th:if="${jumlahLaporanRejected} > 0"
                      class="label label-danger pull-right"
                      th:text="${jumlahLaporanRejected}"
                      >12</span
                    ></a
                  >
                </li>

                <li>
                  <a th:href="@{/keuangan/pencairan/closed}"
                    ><i class="fa fa-inbox"></i> Closed</a
                  >
                </li>

                <li>
                  <a th:href="@{/keuangan/pencairan/rejected}"
                    ><i class="fa fa-inbox"></i> Rejected
                  </a>
                </li>

                <li>
                  <a th:href="@{/keuangan/pencairan/approval_refund}"
                    ><i class="fa fa-inbox"></i> Approval Refund
                    <span
                      th:if="${jumlahApprovalRefund} != null"
                      class="label label-success pull-right"
                      th:text="${jumlahApprovalRefund}"
                      >12</span
                    ></a
                  >
                </li>

                <li>
                  <a th:href="@{/keuangan/pencairan/refund_closed}"
                    ><i class="fa fa-inbox"></i> Refund Closed</a
                  >
                </li>

                <li>
                  <a th:href="@{/keuangan/pencairan/all}"
                    ><i class="fa fa-inbox"></i> All
                  </a>
                </li>
              </ul>
            </div>
            <!-- /.box-body -->
          </div>
        </div>
        <!-- /.col -->
        <div class="col-md-9">
          <div
            class="alert alert-success"
            role="alert"
            th:if="${success != null}"
          >
            Save date successfull....
          </div>
          <div
            class="alert alert-danger"
            role="alert"
            th:if="${unsuccess != null}"
          >
            Save data failed....
          </div>
          <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
              <li class="active">
                <a href="#waiting" data-toggle="tab">Request</a>
              </li>
            </ul>
            <div class="tab-content">
              <div class="active tab-pane" id="waiting">
                <div class="box-header clearfix">
                  <div class="row">
                    <div class="col-md-8">
                      <button
                        type="button"
                        class="btn btn-info"
                        data-toggle="modal"
                        data-target="#modal-filter"
                      >
                        Filter
                      </button>
                      <a
                        type="button"
                        class="btn btn-info"
                        th:href="@{/keuangan/pencairan}"
                      >
                        Clear
                      </a>
                    </div>

                    <form method="get">
                      <div class="modal modal-primary fade" id="modal-filter">
                        <div class="modal-dialog">
                          <div class="modal-content">
                            <div class="modal-header">
                              <button
                                type="button"
                                class="close"
                                data-dismiss="modal"
                                aria-label="Close"
                              >
                                <span aria-hidden="true">&times;</span>
                              </button>
                              <h4 class="modal-title">Filtering</h4>
                            </div>
                            <div class="modal-body">
                              <div class="row">
                                <div class="col-md-12">
                                  <div class="form-group">
                                    <label
                                      for="range"
                                      class="col-sm-2 control-label"
                                      >Range
                                    </label>

                                    <div class="col-sm-8">
                                      <div class="input-group">
                                        <div class="input-group-addon">
                                          <i class="fa fa-calendar"></i>
                                        </div>
                                        <input
                                          type="text"
                                          class="form-control pull-right"
                                          id="range"
                                          th:value="${range}"
                                          name="range"
                                        />
                                      </div>
                                    </div>
                                    <!-- /.input group -->
                                  </div>
                                </div>
                              </div>

                              <div class="row"></div>
                            </div>
                            <div class="modal-footer">
                              <button type="submit" class="btn btn-outline">
                                confirm
                              </button>
                            </div>
                          </div>
                          <!-- /.modal-content -->
                        </div>
                        <!-- /.modal-dialog -->
                      </div>

                      <div class="col-md-4" align="right">
                        <div class="form-group">
                          <select
                            class="form-control"
                            name="urutan"
                            id="urutan"
                            style="width: 100%"
                            onchange="submit()"
                          >
                            <option
                              th:each="data : ${listSorting}"
                              th:selected="(${data} == *{selectedSorting})"
                              th:text="${data.nama}"
                              th:value="${data.id}"
                            >
                              sdasd
                            </option>
                          </select>
                        </div>
                      </div>
                    </form>
                  </div>
                </div>
                <div class="box-body clearfix">
                  <div
                    class="row"
                    th:each="dataPencairanDana,row : ${listPencairanDanaWaiting}"
                  >
                    <div class="col-md-12">
                      <div class="box box-success box-solid">
                        <div class="box-header with-border">
                          <div class="col-md-6">
                            <span class="info-box-text"
                              ><b
                                th:text="${dataPencairanDana.userMintaPencairan.NamaKaryawan}"
                                >Support Team</b
                              >
                              <span
                                ><b
                                  th:text="${'( '+dataPencairanDana.departemen.namaDepartemen+' )'}"
                                ></b> </span
                            ></span>
                          </div>
                          <div class="col-md-6" align="right">
                            <span
                              class="time"
                              th:text="${#temporals.format(dataPencairanDana.tanggalMintaPencairan,'dd-MMM-yyyy hh:mm:ss a')}"
                              ><i class="fa fa-clock-o"></i> 12:05</span
                            >
                          </div>
                        </div>
                        <!-- /.box-header -->
                        <div class="box-body">
                          <div class="col-md-2">
                            <table>
                              <tr>
                                <td>
                                  <a
                                    th:if="${dataPencairanDana.file} == 'default.jpg'"
                                    class="btn btn-danger btn-xs"
                                  >
                                    No Attachment
                                  </a>
                                  <a
                                    th:if="${dataPencairanDana.file} != 'default.jpg'"
                                    class="btn btn-primary btn-xs"
                                    th:href="@{/pencairandana/{pencairanDana}/bukti/(pencairanDana = ${dataPencairanDana.id})}"
                                    target="_blank"
                                  >
                                    View Attachment
                                  </a>
                                </td>
                              </tr>
                            </table>
                          </div>

                          <div class="col-md-10">
                            <div class="box box-success">
                              <div class="box-header with-border">
                                <div class="col-md-6">
                                  <span class="info-box-text">
                                    <b
                                      th:text="${dataPencairanDana.jenisPencairan}"
                                    ></b
                                  ></span>
                                </div>
                              </div>
                              <!-- /.box-header -->
                              <div class="box-body">
                                <table class="table table-bordered">
                                  <tr>
                                    <td
                                      colspan="2"
                                      th:text="${dataPencairanDana.keterangan}"
                                    >
                                      1.
                                    </td>
                                  </tr>
                                  <tr>
                                    <td
                                      colspan="2"
                                      th:text="${'Nomor Rekening : '+dataPencairanDana.nomorRekening}"
                                    >
                                      1.
                                    </td>
                                  </tr>
                                  <tr>
                                    <td
                                      th:text="${'Bank : '+dataPencairanDana.bank.namaBank}"
                                    >
                                      1.
                                    </td>
                                    <td>
                                      <b
                                        th:text="${'Total Disburse : Rp. ' + #numbers.formatDecimal(dataPencairanDana.nominalMintaPencairan, 0, 'POINT', 2, 'COMMA')}"
                                      ></b>
                                    </td>
                                  </tr>
                                </table>
                              </div>
                            </div>
                          </div>

                          <div class="col-md-12" align="right">
                            <div class="btn-group">
                              <a
                                class="btn btn-success btn-xs"
                                th:href="@{/keuangan/pencairan/approve(pencairan=${dataPencairanDana.id})}"
                                >Proses</a
                              >
                            </div>
                            <div class="btn-group">
                              <button
                                type="button"
                                class="btn btn-danger btn-xs"
                                data-toggle="modal"
                                data-target="#modal-reject"
                                th:attr="data-target='#modal-reject'+${dataPencairanDana.getId()}"
                              >
                                Reject
                              </button>
                            </div>
                          </div>
                        </div>
                        <!-- /.box-body -->
                      </div>
                      <!-- /.box -->

                      <div
                        class="modal fade"
                        th:id="modal-reject+${dataPencairanDana.getId()}"
                      >
                        <div class="modal-dialog">
                          <div class="modal-content">
                            <div class="modal-header">
                              <button
                                type="button"
                                class="close"
                                data-dismiss="modal"
                                aria-label="Close"
                              >
                                <span aria-hidden="true">&times;</span>
                              </button>
                              <h4 class="modal-title">
                                Cash Submission Rejected Form
                              </h4>
                            </div>

                            <form
                              method="post"
                              th:action="@{/keuangan/pencairan/reject(pencairanDana1=${dataPencairanDana.id})}"
                              th:object="${pencairanDana}"
                              enctype="multipart/form-data"
                            >
                              <div class="modal-body">
                                <div class="row">
                                  <div class="col-md-12">
                                    <div class="form-group">
                                      <label
                                        for="inputKeterangan"
                                        class="col-sm-2 control-label"
                                        >Comment</label
                                      >

                                      <div class="col-sm-10">
                                        <textarea
                                          class="form-control"
                                          rows="3"
                                          th:field="*{keteranganPencairan}"
                                          name="ketarangan"
                                          id="inputKeterangan"
                                          placeholder="Keterangan ..."
                                        ></textarea>
                                      </div>
                                    </div>
                                  </div>
                                </div>
                              </div>
                              <div class="modal-footer">
                                <button
                                  type="button"
                                  class="btn btn-default pull-left"
                                  data-dismiss="modal"
                                >
                                  Close
                                </button>

                                <button
                                  type="submit"
                                  class="btn btn-danger pull-right"
                                >
                                  Reject
                                </button>
                              </div>
                            </form>
                          </div>
                          <!-- /.modal-content -->
                        </div>
                        <!-- /.modal-dialog -->
                      </div>
                    </div>
                  </div>
                </div>

                <div class="box-footer clearfix">
                  <ul
                    class="pagination pagination-sm no-margin pull-right"
                    sd:pagination="full"
                  >
                    <li class="disabled">
                      <a href="#" aria-label="Previous"
                        ><span aria-hidden="true">&laquo;</span></a
                      >
                    </li>
                    <li class="active">
                      <a href="#">1 <span class="sr-only">(current)</span></a>
                    </li>
                  </ul>
                </div>
              </div>

              <!-- /.tab-pane -->
            </div>
            <!-- /.tab-content -->
          </div>
          <!-- /.nav-tabs-custom -->
        </div>
      </div>
    </section>

    <section layout:fragment="footer" class="script">
      <script>
        $(function () {
          //Initialize Select2 Elements
          $(".select2").select2();

          //Datemask dd/mm/yyyy
          $("#datemask").inputmask("dd/mm/yyyy", { placeholder: "dd/mm/yyyy" });
          //Datemask2 mm/dd/yyyy
          $("#datemask2").inputmask("mm/dd/yyyy", {
            placeholder: "mm/dd/yyyy",
          });
          //Money Euro
          $("[data-mask]").inputmask();

          //Date range picker
          $("#range").daterangepicker();
          //Date range picker with time picker
          $("#reservationtime").daterangepicker({
            timePicker: true,
            timePickerIncrement: 30,
            locale: { format: "MM/DD/YYYY hh:mm A" },
          });
          //Date range as a button
          $("#daterange-btn").daterangepicker(
            {
              ranges: {
                Today: [moment(), moment()],
                Yesterday: [
                  moment().subtract(1, "days"),
                  moment().subtract(1, "days"),
                ],
                "Last 7 Days": [moment().subtract(6, "days"), moment()],
                "Last 30 Days": [moment().subtract(29, "days"), moment()],
                "This Month": [
                  moment().startOf("month"),
                  moment().endOf("month"),
                ],
                "Last Month": [
                  moment().subtract(1, "month").startOf("month"),
                  moment().subtract(1, "month").endOf("month"),
                ],
              },
              startDate: moment().subtract(29, "days"),
              endDate: moment(),
            },
            function (start, end) {
              $("#daterange-btn span").html(
                start.format("MMMM D, YYYY") +
                  " - " +
                  end.format("MMMM D, YYYY")
              );
            }
          );

          //Date picker
          $("#datepicker").datepicker({
            autoclose: true,
          });

          //iCheck for checkbox and radio inputs
          $(
            'input[type="checkbox"].minimal, input[type="radio"].minimal'
          ).iCheck({
            checkboxClass: "icheckbox_minimal-blue",
            radioClass: "iradio_minimal-blue",
          });
          //Red color scheme for iCheck
          $(
            'input[type="checkbox"].minimal-red, input[type="radio"].minimal-red'
          ).iCheck({
            checkboxClass: "icheckbox_minimal-red",
            radioClass: "iradio_minimal-red",
          });
          //Flat red color scheme for iCheck
          $(
            'input[type="checkbox"].flat-red, input[type="radio"].flat-red'
          ).iCheck({
            checkboxClass: "icheckbox_flat-green",
            radioClass: "iradio_flat-green",
          });

          //Colorpicker
          $(".my-colorpicker1").colorpicker();
          //color picker with addon
          $(".my-colorpicker2").colorpicker();

          //Timepicker
          $(".timepicker").timepicker({
            showInputs: false,
          });
        });
      </script>
      <script>
        $(".js-example-placeholder-single").select2({
          placeholder: "Pilih Salah Satu",
          allowClear: true,
        });

        $(".simpan").click(function () {
          Swal.fire({
            position: "top-end",
            type: "success",
            title: "Your work has been saved",
            showConfirmButton: false,
          });
        });
      </script>

      <script th:inline="javascript" type="text/javascript">
        function openReservationModal(id) {
          $.ajax({
            url: "/reservations/details/" + id,
            success: function (data) {
              console.log(data);
              $("#modalHolder").html(data);
              $("#reservationModal").modal("show");
            },
          });
        }
      </script>
    </section>
  </body>
</html>
